| OpendTect 8.0

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Protected Attributes | List of all members
Factory3Param< T, P0, P1, P2 > Class Template Reference
Basic

Subclass of FactoryBase. More...

`#include <factory.h>`

Inheritance diagram for Factory3Param< T, P0, P1, P2 >:
[legend]

## Public Types
typedef T *(* | Creator) (P0, P1, P2)

## Public Member Functions
void | addCreator (Creator, const char *nm=nullptr, const uiString &usernm=uiString::empty())
T * | create (const char *nm, P0, P1, P2, bool chknm=true) const
bool | moveAfter (int from, int to) override
| Moves an item at the index from, after the index to.
void | removeCreator (Creator)
Public Member Functions inherited from FactoryBase
virtual | ~FactoryBase ()
const char * | currentName () const
BufferString & | errMsg () const
const char * | getDefaultName () const
const BufferStringSet & | getNames () const
const uiStringSet & | getUserNames () const
bool | hasName (const char *nm) const
bool | isEmpty () const
void | setDefaultName (int idx)
int | size () const

## Protected Attributes
TypeSet< Creator > | creators_
Protected Attributes inherited from FactoryBase
StaticStringManager | currentname_
StaticStringManager | errmsgs_

## Additional Inherited Members
Static Public Member Functions inherited from FactoryBase
static char | cSeparator ()
Protected Member Functions inherited from FactoryBase
void | addNames (const char *, const uiString &)
int | indexOf (const char *) const
void | removeByIndex (int)
void | setNames (int, const char *, const uiString &)

## Detailed Description

template<class T, class P0, class P1, class P2>
class Factory3Param< T, P0, P1, P2 >

Subclass of FactoryBase.

<>

## Member Typedef Documentation

## ◆ Creator

template<class T , class P0 , class P1 , class P2 >

typedef T *(* Factory3Param< T, P0, P1, P2 >::Creator) (P0, P1, P2)

## Member Function Documentation

## ◆ addCreator()

template<class T , class P0 , class P1 , class P2 >

void Factory3Param< T, P0, P1, P2 >::addCreator | ( | Creator | cr,
|  | const char * | nm = nullptr,
|  | const uiString & | usernm = uiString::empty() )
| inline

Name may be be null If nm is found, old creator is replaced. nm can be a SeparString, separated by cSeparator(), allowing multiple names, where the first name will be the main name that is returned in getNames.

## ◆ create()

template<class T , class P0 , class P1 , class P2 >

T * Factory3Param< T, P0, P1, P2 >::create | ( | const char * | nm,
|  | P0 | p0,
|  | P1 | p1,
|  | P2 | p2,
|  | bool | chknm = true ) const
| inline

Name may be be null, if null name is given chknm will be forced to false

## ◆ moveAfter()

template<class T , class P0 , class P1 , class P2 >

bool Factory3Param< T, P0, P1, P2 >::moveAfter | ( | int | from,
|  | int | to )
| inline override virtual

Moves an item at the index from, after the index to.

Reimplemented from FactoryBase.

## ◆ removeCreator()

template<class T , class P0 , class P1 , class P2 >

void Factory3Param< T, P0, P1, P2 >::removeCreator | ( | Creator | cr | ) |
| inline

## Member Data Documentation

## ◆ creators_

template<class T , class P0 , class P1 , class P2 >

TypeSet<Creator> Factory3Param< T, P0, P1, P2 >::creators_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025